Package net.shibboleth.idp.cas.config

# Class ProxyConfiguration

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.profile.config.AbstractProfileConfiguration
net.shibboleth.profile.config.AbstractConditionalProfileConfiguration
net.shibboleth.idp.profile.config.AbstractInterceptorAwareProfileConfiguration
net.shibboleth.idp.cas.config.AbstractProtocolConfiguration
net.shibboleth.idp.cas.config.ProxyConfiguration

All Implemented Interfaces:
  `InterceptorAwareProfileConfiguration`, `AttributeResolvingProfileConfiguration`, `ConditionalProfileConfiguration`, `ProfileConfiguration`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class ProxyConfiguration extends AbstractProtocolConfiguration
CAS protocol configuration that applies to the `/proxy` URI.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_TICKET_LENGTH`
Default ticket length (random part).
`static final String`
`DEFAULT_TICKET_PREFIX`
Default ticket prefix.
`static final String`
`PROFILE_COUNTER`
Proxy ticket profile counter name.
`static final String`
`PROFILE_ID`
Proxy ticket profile URI.

### Fields inherited from class net.shibboleth.idp.cas.config.AbstractProtocolConfiguration

`DEFAULT_TICKET_VALIDITY_PERIOD, PROTOCOL_COUNTER, PROTOCOL_URI`

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Constructor Summary

Constructors
Constructor
Description
`ProxyConfiguration()`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`protected int`
`getDefaultTicketLength()`
Get default ticket length.
`protected String`
`getDefaultTicketPrefix()`
Get default ticket prefix.

### Methods inherited from class net.shibboleth.idp.cas.config.AbstractProtocolConfiguration

`getAttributeRecipientGroupID, getRequestedIdPAttributeNames, getSecurityConfiguration, getTicketValidityPeriod, isResolveAttributes, setAttributeRecipientGroupID, setAttributeRecipientGroupIDLookupStrategy, setRequestedIdPAttributeNames, setRequestedIdPAttributeNamesLookupStrategy, setResolveAttributes, setResolveAttributesPredicate, setTicketValidityPeriod, setTicketValidityPeriodLookupStrategy`

### Methods inherited from class net.shibboleth.idp.profile.config.AbstractInterceptorAwareProfileConfiguration

`getInboundInterceptorFlows, getOutboundInterceptorFlows, setInboundInterceptorFlows, setInboundInterceptorFlowsLookupStrategy, setOutboundInterceptorFlows, setOutboundInterceptorFlowsLookupStrategy`

### Methods inherited from class net.shibboleth.profile.config.AbstractConditionalProfileConfiguration

`getActivationCondition, setActivationCondition`

### Methods inherited from class net.shibboleth.profile.config.AbstractProfileConfiguration

`equals, getDisallowedFeatures, hashCode, isFeatureDisallowed, setDisallowedFeatures, setDisallowedFeaturesLookupStrategy, setSecurityConfiguration, setSecurityConfigurationLookupStrategy`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, isFeatureDisallowed`

## Field Details

### PROFILE_ID

@Nonnull @NotEmpty public static final String PROFILE_ID
Proxy ticket profile URI.

See Also:
  - Constant Field Values

### PROFILE_COUNTER

@Nonnull @NotEmpty public static final String PROFILE_COUNTER
Proxy ticket profile counter name.

See Also:
  - Constant Field Values

### DEFAULT_TICKET_PREFIX

@Nonnull @NotEmpty public static final String DEFAULT_TICKET_PREFIX
Default ticket prefix.

See Also:
  - Constant Field Values

### DEFAULT_TICKET_LENGTH

public static final int DEFAULT_TICKET_LENGTH
Default ticket length (random part).

See Also:
  - Constant Field Values

## Constructor Details

### ProxyConfiguration

public ProxyConfiguration()
Creates a new instance.

## Method Details

### getDefaultTicketPrefix

@Nonnull @NotEmpty protected String getDefaultTicketPrefix()
Get default ticket prefix.

Specified by:
  `getDefaultTicketPrefix` in class `AbstractProtocolConfiguration`
Returns:
  prefix

### getDefaultTicketLength

protected int getDefaultTicketLength()
Get default ticket length.

Specified by:
  `getDefaultTicketLength` in class `AbstractProtocolConfiguration`
Returns:
  length